For the complete documentation index, see llms.txt. This page is also available as Markdown.

Recommendation Servicenow

Recommendation CRUD apis for servicenow.

Create servicenow ticket for recommendation

post

Create Servicenow ticket for recommendation

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
recommendationIdstringRequired
resourceTypestring · enumOptionalPossible values:
connectorRefstringOptional
ticketTypestringOptional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/recommendation/servicenow/create
POST /gateway/ccm/api/recommendation/servicenow/create?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 139

{
  "recommendationId": "text",
  "resourceType": "WORKLOAD",
  "connectorRef": "text",
  "ticketType": "text",
  "fields": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}
get
Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

connectorRefstringRequired

ServiceNow connector reference

Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/recommendation/servicenow/serviceRequestFields
GET /gateway/ccm/api/recommendation/servicenow/serviceRequestFields?accountIdentifier=text&connectorRef=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?